Skip to content
logo Knowledgebase

Important information when using Sage 50 Manufacturing or Sage Job Costing

Created on  | Last modified on 

Summary

If you use Sage 50 Manufacturing or Sage Job Costing please read the following guide before installing the latest Sage 50cloud Accounts v28.1.

Description

Important information

NOTE: If you no longer use Sage 50 Manufacturing or Sage Job Costing, we recommend you install the latest version.

Sage 50cloud Accounts v28.1 isn't compatible with Sage 50 Manufacturing or Sage Job Costing.

If you rely on this software we recommend you don't install Sage 50cloud Accounts v28.1. You can use the table below to see the latest versions of Sage 50cloud Accounts you can install and use with this software.


What does this mean for me?

Don't worry, the latest compatible Sage 50cloud Accounts versions are below:

Sage 50cloud Accounts v27.2Sage 50 ManufacturingInstall v27.2 >
Sage 50cloud Accounts v28.0Sage Job CostingInstall v28.0 >

Lifecycle policy

As you are aware from 30 September 2021, we no longer actively support Sage 50 Manufacturing or Sage Job Costing. Read more >